> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/es/powershell-commands/get-dsuserlicense.md).

# Get-DSUserLicense

### Sinopsis

Obtener todas las asignaciones de una licencia específica

### Sintaxis

#### InputObject

```
Get-DSUserLicense -InputObject <PSLicenseInfo> [-AsLegacyResponse] [<CommonParameters>]
```

#### GetByID

```
Get-DSUserLicense -Serial <string> [-AsLegacyResponse] [<CommonParameters>]
```

### Descripción

Obtener todas las asignaciones de una licencia específica. Para asignar una licencia, modifique el campo IsMember del usuario deseado. Una vez realizadas las modificaciones, utilice el cmdlet Set-DSUserLicense.

### Ejemplos

#### Ejemplo 1

```powershell
PS C:\> $assignResponse = Get-DSUserLicense -Serial XXXXX-XXXXX-XXXXX-XXXXX-XXXXX
        $assignments = $assignResponse.Data
        $asssignments | Where -Property IsMember -eq $true | Select Name, UserId
```

Obtener todos los usuarios a los que se les ha asignado la licencia 'XXXXX-XXXXX-XXXXX-XXXXX-XXXXX'

#### Ejemplo 2

```powershell
PS C:\> $AsLegacyResponse = $true
        $licResponse = Get-DSLicence;
        $license = $licRespones.Data | Where -Property License -like XXXXX* | Select -First 1
        $assignResponse = Get-DSUserLicense -InputObject $license
        $assignments = $assignResponse.Data
        $aUserAssignment = $asssignments | Where Name -eq 'Name of the user to assign'
        $aUserAssignment.IsMember = $true
        Set-DSUserLicense -InputObject $aUserAssignment
```

Asignar la licencia que empieza por XXXXX al usuario 'Name of the user to assign'

### Parámetros

#### -AsLegacyResponse

En versiones anteriores a 2024.2, muchos cmdlets de DS devolvían un objeto ServerResponse. Habilitar este modificador de compatibilidad con versiones anteriores permite que los scripts desarrollados para versiones anteriores funcionen correctamente.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -InputObject

Asignaciones de licencia de usuario de este número de serie específico

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSLicenseInfo
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: InputObject
  Position: Named
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Serial

Asignaciones de licencia de usuario de este número de serie específico

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: GetByID
  Position: Named
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Este cmdlet admite los parámetros comunes: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction y -WarningVariable. Para obtener más información, consulte [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Entradas

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSLicenseInfo

Objeto de licencia obtenido del campo de datos de la respuesta de Get-DSLicense

### Notas

Para obtener más información, escriba "Get-Help Get-DSUserLicense -detailed". Para obtener información técnica, escriba "Get-Help Get-DSUserLicense -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell/es/powershell-commands/get-dsuserlicense.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
